/*****************************************************************

Copyright (c) 2001 Matthias Elter <elter@kde.org>
              2002 Siegfried Nijssen <snijssen@liacs.nl>

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

******************************************************************/

#include <qlayout.h>

#include <kglobal.h>
#include <klocale.h>
#include <kdebug.h>

#include "menubarcontainer.h"

#include "menubarapplet.h"
#include "menubarapplet.moc"

extern "C"
{
    KPanelApplet* init( QWidget *parent, const QString& configFile )
    {
	KGlobal::locale()->insertCatalogue( "kmenubarapplet" );
        MenubarApplet *menubar = new MenubarApplet( configFile, KPanelApplet::Stretch,
                                                    /*KPanelApplet::Preferences*/ 0, parent, "kmenubarapplet" );
	return menubar;
    }
}

MenubarApplet::MenubarApplet( const QString& configFile, Type type, int actions,
                             QWidget *parent, const char *name )
    : KPanelApplet( configFile, type, actions, parent, name )
{
    QHBoxLayout* layout = new QHBoxLayout( this );
    container = new MenuBarContainer( true, this );
    layout->addWidget( container, 1 );
}

MenubarApplet::~MenubarApplet()
{
}

int MenubarApplet::widthForHeight( int height ) const
{
    return container->widthForHeight ( height );
}

int MenubarApplet::heightForWidth( int ) const
{
    return 100;
}

void MenubarApplet::preferences()
{
    container->preferences();
}

void MenubarApplet::orientationChange( Orientation o )
{
}

void MenubarApplet::popupDirectionChange( Direction d )
{
}
